GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ServerAsyncReaderWriter< R, W > Class Template Reference

`#include <server_context.h>`

## Public Member Functions
| ServerAsyncReaderWriter (ServerContext *ctx)
void | SendInitialMetadata (void *tag) GRPC_OVERRIDE
void | Read (R *msg, void *tag) GRPC_OVERRIDE
void | Write (const W &msg, void *tag) GRPC_OVERRIDE
void | Finish (const Status &status, void *tag)
Public Member Functions inherited from grpc::ServerAsyncStreamingInterface
virtual | ~ServerAsyncStreamingInterface ()
Public Member Functions inherited from grpc::AsyncWriterInterface< W >
virtual | ~AsyncWriterInterface ()
Public Member Functions inherited from grpc::AsyncReaderInterface< R >
virtual | ~AsyncReaderInterface ()

## Constructor & Destructor Documentation

template<class R , class W >

grpc::ServerAsyncReaderWriter< R, W >::ServerAsyncReaderWriter | ( | ServerContext * | ctx | ) |
| inline explicit

## Member Function Documentation

template<class R , class W >

void grpc::ServerAsyncReaderWriter< R, W >::Finish | ( | const Status & | status,
|  | void * | tag
| ) |  |
| inline

template<class R , class W >

void grpc::ServerAsyncReaderWriter< R, W >::Read | ( | R * | msg,
|  | void * | tag
| ) |  |
| inline virtual

Implements grpc::AsyncReaderInterface< R >.

template<class R , class W >

void grpc::ServerAsyncReaderWriter< R, W >::SendInitialMetadata | ( | void * | tag | ) |
| inline virtual

Implements grpc::ServerAsyncStreamingInterface.

template<class R , class W >

void grpc::ServerAsyncReaderWriter< R, W >::Write | ( | const W & | msg,
|  | void * | tag
| ) |  |
| inline virtual

Implements grpc::AsyncWriterInterface< W >.

The documentation for this class was generated from the following files:

- include/grpc++/server_context.h
- include/grpc++/stream.h